use bevy_prototype_lyon::prelude::PathBuilder;

use super::state::TurtleState;

/// A turtle that combines its commands to one closed shape with the `close()` command.
pub struct ShapeBuilder {
    state: TurtleState,
    builder: PathBuilder,
}

/// A turtle that draws a filled shape. End the filling process with the `end()` command.
pub struct FilledBuilder {
    state: TurtleState,
    builder: PathBuilder,
}
