use crate::{
    datatypes::{angle::Angle, length::Length},
    turtle::TurtleCommand,
};

#[allow(dead_code)]
pub fn circle_star() -> Vec<TurtleCommand> {
    vec![
        TurtleCommand::Right(Angle::degrees(36.)),
        TurtleCommand::Forward(Length(200.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Circle {
            radius: Length(20.),
            angle: Angle::degrees(324.),
        },
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(200.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Circle {
            radius: Length(20.),
            angle: Angle::degrees(324.),
        },
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(200.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Circle {
            radius: Length(20.),
            angle: Angle::degrees(324.),
        },
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(200.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Circle {
            radius: Length(20.),
            angle: Angle::degrees(324.),
        },
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(200.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Circle {
            radius: Length(20.),
            angle: Angle::degrees(324.),
        },
        TurtleCommand::Right(Angle::degrees(90.)),
    ]
}
